using ATC_MaterialBind.Entity;
using Models;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service.Impl
{
    public class Real_mesdataServiceImpl : BaseServiceImpl<Real_mesdata>, IReal_mesdataService
    {
        public Real_mesdataServiceImpl(Repository<Real_mesdata> repository):base(repository)
        {
        }

        public async Task<bool> AddAsync(Real_mesdata record)
        {
            var newDb = _rep.CopyNew();

            bool result = await newDb.InsertAsync(record);
            return result;
        }
    }
}